Approve Bills in Billing Period - m3ter Documentation
Approve Bills in Billing Period
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/bills/billingperiod/{lastDateInBillingPeriod}/{billingFrequency}/approve \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/bills/billingperiod/{lastDateInBillingPeriod}/{billingFrequency}/approve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/bills/billingperiod/{lastDateInBillingPeriod}/{billingFrequency}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200: Success
- 4XX: Client error
- 5XX: Server error
Response Structure
{
"message": "<string>"
}
Path Parameters
- orgId: The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
- lastDateInBillingPeriod: The last date of the billing period for which you want to approve Bills. This date defines the range of Bills to be approved.
- billingFrequency: The billing frequency for the specified period. Valid options are daily, weekly, monthly, or annually.
Response
Returns a message indicating the success/failure of Bills approval.